> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firmium.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a municipality by UUID

> Current municipalities with current officials and CSV export.



## OpenAPI

````yaml /openapi.json get /api/v1/municipalities/{uuid}/
openapi: 3.0.3
info:
  title: Firmium API
  version: v1
servers:
  - url: https://www.firmium.de/
security: []
tags:
  - name: v1
    description: Company and business data endpoints
paths:
  /api/v1/municipalities/{uuid}/:
    get:
      tags:
        - v1
      summary: Retrieve a municipality by UUID
      description: Current municipalities with current officials and CSV export.
      operationId: municipalities_retrieve
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Municipality'
          description: ''
      security:
        - cookieAuth: []
        - SessionAuth: []
        - TokenAuth: []
components:
  schemas:
    Municipality:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        country_code:
          type: string
          maxLength: 2
        official_code:
          type: string
          maxLength: 64
        name:
          type: string
          maxLength: 255
        district_code:
          type: string
          maxLength: 64
        district_name:
          type: string
          maxLength: 255
        state_code:
          type: string
          maxLength: 64
        state_name:
          type: string
          maxLength: 255
        status:
          type: string
          readOnly: true
        status_display:
          type: string
          readOnly: true
        nuts3_code:
          type: string
          maxLength: 10
        lau_code:
          type: string
          maxLength: 20
        population:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        population_as_of:
          type: string
          format: date
          nullable: true
          description: Reference date of the latest imported population figure.
        reference_date:
          type: string
          format: date
          nullable: true
          description: Reference date of the official source data.
        company_count:
          type: integer
          readOnly: true
        officials:
          type: array
          items:
            $ref: '#/components/schemas/MunicipalityOfficial'
          readOnly: true
        profile_url:
          type: string
          readOnly: true
        budget_url:
          type: string
          readOnly: true
      required:
        - budget_url
        - company_count
        - country_code
        - name
        - official_code
        - officials
        - profile_url
        - status
        - status_display
        - uuid
    MunicipalityOfficial:
      type: object
      properties:
        relationship_type:
          allOf:
            - $ref: '#/components/schemas/RelationshipTypeEnum'
          description: |-
            The type of relationship between the entities

            * `shareholder` - Shareholder
            * `managing_director` - Managing Director
            * `board_of_directors` - Board of Directors
            * `executive_board` - Executive Board
            * `supervisory_board` - Supervisory Board
            * `procurator` - Procurator
            * `general_partner` - General Partner
            * `limited_partner` - Limited Partner
            * `signatory` - Authorized Signatory
            * `liquidator` - Liquidator
            * `parent` - Parent Company
            * `subsidiary` - Subsidiary
            * `predecessor` - Predecessor (Merged/Absorbed)
            * `partner` - Business Partner
            * `supplier` - Supplier
            * `customer` - Customer
            * `competitor` - Competitor
            * `branch` - Branch Office
            * `association` - Association
            * `auditor` - Auditor
            * `employee` - Employee
            * `relocated_to` - Relocated To
            * `mayor` - Mayor
            * `vice_mayor` - Vice Mayor
            * `municipal_office_director` - Municipal Office Director
            * `municipal_councillor` - Municipal Councillor
            * `municipal_official` - Municipal Official
            * `other` - Other Relationship
        role:
          type: string
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        full_name:
          type: string
          readOnly: true
        person_uuid:
          type: string
          format: uuid
          readOnly: true
        person_url:
          type: string
          readOnly: true
        work_email:
          type: string
          format: email
          nullable: true
          description: Work email for this role/relationship
          maxLength: 254
        work_phone:
          type: string
          nullable: true
          description: Work phone number for this role/relationship
          maxLength: 50
        start_date:
          type: string
          format: date
          nullable: true
          description: When this relationship began
        source_url:
          type: string
          format: uri
          nullable: true
          description: URL of the source of this relationship information
          maxLength: 200
        source_label:
          type: string
          readOnly: true
          nullable: true
        source_as_of:
          type: string
          readOnly: true
          nullable: true
        source_role:
          type: string
          readOnly: true
          nullable: true
        verification_status:
          allOf:
            - $ref: '#/components/schemas/VerificationStatusEnum'
          description: |-
            Current verification status of this relationship

            * `unverified` - Unverified
            * `verified` - Verified
            * `disputed` - Disputed
            * `pending_review` - Pending Review
      required:
        - first_name
        - full_name
        - last_name
        - person_url
        - person_uuid
        - relationship_type
        - role
        - source_as_of
        - source_label
        - source_role
    RelationshipTypeEnum:
      enum:
        - shareholder
        - managing_director
        - board_of_directors
        - executive_board
        - supervisory_board
        - procurator
        - general_partner
        - limited_partner
        - signatory
        - liquidator
        - parent
        - subsidiary
        - predecessor
        - partner
        - supplier
        - customer
        - competitor
        - branch
        - association
        - auditor
        - employee
        - relocated_to
        - mayor
        - vice_mayor
        - municipal_office_director
        - municipal_councillor
        - municipal_official
        - other
      type: string
      description: |-
        * `shareholder` - Shareholder
        * `managing_director` - Managing Director
        * `board_of_directors` - Board of Directors
        * `executive_board` - Executive Board
        * `supervisory_board` - Supervisory Board
        * `procurator` - Procurator
        * `general_partner` - General Partner
        * `limited_partner` - Limited Partner
        * `signatory` - Authorized Signatory
        * `liquidator` - Liquidator
        * `parent` - Parent Company
        * `subsidiary` - Subsidiary
        * `predecessor` - Predecessor (Merged/Absorbed)
        * `partner` - Business Partner
        * `supplier` - Supplier
        * `customer` - Customer
        * `competitor` - Competitor
        * `branch` - Branch Office
        * `association` - Association
        * `auditor` - Auditor
        * `employee` - Employee
        * `relocated_to` - Relocated To
        * `mayor` - Mayor
        * `vice_mayor` - Vice Mayor
        * `municipal_office_director` - Municipal Office Director
        * `municipal_councillor` - Municipal Councillor
        * `municipal_official` - Municipal Official
        * `other` - Other Relationship
    VerificationStatusEnum:
      enum:
        - unverified
        - verified
        - disputed
        - pending_review
      type: string
      description: |-
        * `unverified` - Unverified
        * `verified` - Verified
        * `disputed` - Disputed
        * `pending_review` - Pending Review
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid
    SessionAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Session authentication. Formats: Authorization: Session <sessionid> |
        Query: ?sessionid=<key> | Cookie: sessionid=<key>
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Token authentication. Format: Token <key>'

````